
QGIS Application - Bug report #19834

Seg Fault on Startup

2018-09-12 10:37 PM - Brian Savage

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:3.2.2 Regression?: No

Operating System: OSX 10.13.6 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 27658

Description

QGIS segfaults on Startup

Looks like QtWidgets`QAction::setText() may be the issue.

Run in LLDB (Backtrace Below)

% lldb /Applications/QGIS3.app/Contents/MacOS/QGIS

(lldb) target create "/Applications/QGIS3.app/Contents/MacOS/QGIS" 

Current executable set to '/Applications/QGIS3.app/Contents/MacOS/QGIS' (x86_64).

(lldb) run

Process 27554 launched: '/Applications/QGIS3.app/Contents/MacOS/QGIS' (x86_64)

Warning: QWidget::insertAction: Attempt to insert null action

Warning: QWidget::insertAction: Attempt to insert null action

Warning: QWidget::insertAction: Attempt to insert null action

Warning: QSqlQuery::prepare: database not open

Process 27554 stopped

    -  thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x8)

    frame #0: 0x00000001060b07dd QtWidgets`QAction::setText(QString const&) + 13

QtWidgets`QAction::setText:

->  0x1060b07dd <+13>: movq   0x8(%rdi), %r14

    0x1060b07e1 <+17>: movq   %r14, %rbx

    0x1060b07e4 <+20>: subq   $-0x80, %rbx

    0x1060b07e8 <+24>: movq   %rbx, %rdi

Target 0: (QGIS) stopped.

    1. BackTrace

(lldb) bt all

    -  thread #1, queue = 'com.apple.main-thread', stop reason = EXC_BAD_ACCESS (code=1, address=0x8)  * frame #0:

0x00000001060b07dd QtWidgets`QAction::setText(QString const&) + 13

    frame #1: 0x00000001005a5231 libqgis_app.3.2.2.dylib`QgisApp::changeEvent(QEvent*) + 89

    frame #2: 0x00000001060f4b40 QtWidgets`QWidget::event(QEvent*) + 144

    frame #3: 0x0000000106214884 QtWidgets`QMainWindow::event(QEvent*) + 1108

    frame #4: 0x000000010055ba9f libqgis_app.3.2.2.dylib`QgisApp::event(QEvent*) + 249

    frame #5: 0x00000001060bab82 QtWidgets`QApplicationPrivate::notify_helper(QObject*, QEvent*) + 306

    frame #6: 0x00000001060bbe9f QtWidgets`QApplication::notify(QObject*, QEvent*) + 383

    frame #7: 0x0000000102285287 qgis_core`QgsApplication::notify(QObject*, QEvent*) + 93

    frame #8: 0x00000001097b3a7f QtCore`QCoreApplication::notifyInternal2(QObject*, QEvent*) + 159

    frame #9: 0x00000001060ef082 QtWidgets`QWidget::setWindowTitle(QString const&) + 482

    frame #10: 0x000000010058e1d6 libqgis_app.3.2.2.dylib`setTitleBarText_(QWidget&) + 1315

    frame #11: 0x00000001097e444b QtCore`QMetaObject::activate(QObject*, int, int, void**) + 2347
    frame #12: 0x00000001028eb8c2 qgis_core`QgsProject::isDirtyChanged(bool) + 64

    frame #13: 0x000000010243bc23 qgis_core`QgsProject::setSnappingConfig(QgsSnappingConfig const&) + 141

    frame #14: 0x00000001006fcc42 libqgis_app.3.2.2.dylib`QgsSnappingWidget::QgsSnappingWidget(QgsProject*,

QgsMapCanvas*, QWidget*) + 11058

    frame #15: 0x0000000100546967 libqgis_app.3.2.2.dylib`QgisApp::createToolBars() + 407

    frame #16: 0x000000010053f0f4 libqgis_app.3.2.2.dylib`QgisApp::functionProfile(void (QgisApp::*)(), QgisApp*, QString const&) +

62

    frame #17: 0x000000010051f90a libqgis_app.3.2.2.dylib`QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString

const&, QWidget*, QFlags<Qt::WindowType>) + 10660

    frame #18: 0x0000000100012b43 QGIS`main + 20791

    frame #19: 0x00007fff7c5f3015 libdyld.dylib`start + 1

  thread #2

    frame #0: 0x00007fff7c74428a libsystem_kernel.dylib`__workq_kernreturn + 10

    frame #1: 0x00007fff7c90b20e libsystem_pthread.dylib`_pthread_wqthread + 1552

    frame #2: 0x00007fff7c90abe9 libsystem_pthread.dylib`start_wqthread + 13

  thread #4

    frame #0: 0x00007fff7c743a16 libsystem_kernel.dylib`__psynch_cvwait + 10

    frame #1: 0x00007fff7c90c589 libsystem_pthread.dylib`_pthread_cond_wait + 732

    frame #2: 0x00007fff7a547cb0 libc++.1.dylib`std::__1::condition_variable::wait(std::__1::unique_lock<std::__1::mutex>&) + 18

    frame #3: 0x0000000104d5ee1c QtWebKit`void std::__1::condition_variable_any::wait<std::__1::unique_lock<bmalloc::Mutex>

>(std::__1::unique_lock<bmalloc::Mutex>&) + 108

    frame #4: 0x0000000104d5ed9b QtWebKit`bmalloc::AsyncTask<bmalloc::Heap, void (bmalloc::Heap::*)()>::threadRunLoop() +

155

    frame #5: 0x0000000104d5ec69 QtWebKit`bmalloc::AsyncTask<bmalloc::Heap, void

(bmalloc::Heap::*)()>::threadEntryPoint(bmalloc::AsyncTask<bmalloc::Heap, void (bmalloc::Heap::*)()>*) + 9

    frame #6: 0x0000000104d5ef1d QtWebKit`void* std::__1::__thread_proxy<std::__1::tuple<void (

)(bmalloc::AsyncTask<bmalloc::Heap, void (bmalloc::Heap::)()>*), bmalloc::AsyncTask<bmalloc::Heap, void (bmalloc::Heap::*)()>*>

>(void*) + 93

    frame #7: 0x00007fff7c90b661 libsystem_pthread.dylib`_pthread_body + 340

    frame #8: 0x00007fff7c90b50d libsystem_pthread.dylib`_pthread_start + 377

    frame #9: 0x00007fff7c90abf9 libsystem_pthread.dylib`thread_start + 13

  thread #6

    frame #0: 0x00007fff7c74428a libsystem_kernel.dylib`__workq_kernreturn + 10

    frame #1: 0x2e6d6f6327d8044d

    frame #2: 0x00007fff7c90abe9 libsystem_pthread.dylib`start_wqthread + 13

  thread #7

    frame #0: 0x00007fff7c74428a libsystem_kernel.dylib`__workq_kernreturn + 10

    frame #1: 0x00007fff7c90b009 libsystem_pthread.dylib`_pthread_wqthread + 1035

    frame #2: 0x00007fff7c90abe9 libsystem_pthread.dylib`start_wqthread + 13

  thread #8

    frame #0: 0x00007fff7c74428a libsystem_kernel.dylib`__workq_kernreturn + 10

    frame #1: 0x00007fff7c90b009 libsystem_pthread.dylib`_pthread_wqthread + 1035

    frame #2: 0x00007fff7c90abe9 libsystem_pthread.dylib`start_wqthread + 13

  thread #9, name = 'com.apple.NSEventThread'

    frame #0: 0x00007fff7c73a20a libsystem_kernel.dylib`mach_msg_trap + 10

    frame #1: 0x00007fff7c739724 libsystem_kernel.dylib`mach_msg + 60

    frame #2: 0x00007fff547b3785 CoreFoundation`__CFRunLoopServiceMachPort + 341

    frame #3: 0x00007fff547b2ad7 CoreFoundation`__CFRunLoopRun + 1783

    frame #4: 0x00007fff547b2153 CoreFoundation`CFRunLoopRunSpecific + 483

    frame #5: 0x00007fff51e8afc4 AppKit`_NSEventThread + 184

    frame #6: 0x00007fff7c90b661 libsystem_pthread.dylib`_pthread_body + 340

    frame #7: 0x00007fff7c90b50d libsystem_pthread.dylib`_pthread_start + 377

    frame #8: 0x00007fff7c90abf9 libsystem_pthread.dylib`thread_start + 13
  thread #10, name = 'com.apple.CFSocket.private'

    frame #0: 0x00007fff7c743cf2 libsystem_kernel.dylib`__select + 10

    frame #1: 0x00007fff547ed88b CoreFoundation`__CFSocketManager + 635

    frame #2: 0x00007fff7c90b661 libsystem_pthread.dylib`_pthread_body + 340

    frame #3: 0x00007fff7c90b50d libsystem_pthread.dylib`_pthread_start + 377

    frame #4: 0x00007fff7c90abf9 libsystem_pthread.dylib`thread_start + 13

  thread #11, name = 'QCA::KeyStoreThread'

    frame #0: 0x00007fff7c74509a libsystem_kernel.dylib`poll + 10

    frame #1: 0x0000000109806b40 QtCore`qt_safe_poll(pollfd*, unsigned int, timespec const*) + 544

    frame #2: 0x00000001098081b9 QtCore`QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) +

857

    frame #3: 0x00000001097af742 QtCore`QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 418

    frame #4: 0x00000001066aaf2d qca-qt5`QCA::SyncThread::run() + 197

    frame #5: 0x00000001095f3fbf QtCore`___lldb_unnamed_symbol300$$QtCore + 367

    frame #6: 0x00007fff7c90b661 libsystem_pthread.dylib`_pthread_body + 340

    frame #7: 0x00007fff7c90b50d libsystem_pthread.dylib`_pthread_start + 377

    frame #8: 0x00007fff7c90abf9 libsystem_pthread.dylib`thread_start + 13

  thread #12, name = 'Qt bearer thread'

    frame #0: 0x00007fff7c74509a libsystem_kernel.dylib`poll + 10

    frame #1: 0x0000000109806b40 QtCore`qt_safe_poll(pollfd*, unsigned int, timespec const*) + 544

    frame #2: 0x00000001098081b9 QtCore`QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) +

857

    frame #3: 0x00000001097af742 QtCore`QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 418

    frame #4: 0x00000001095f00a1 QtCore`QThread::exec() + 113

    frame #5: 0x00000001095f3fbf QtCore`___lldb_unnamed_symbol300$$QtCore + 367

    frame #6: 0x00007fff7c90b661 libsystem_pthread.dylib`_pthread_body + 340

    frame #7: 0x00007fff7c90b50d libsystem_pthread.dylib`_pthread_start + 377

    frame #8: 0x00007fff7c90abf9 libsystem_pthread.dylib`thread_start + 13

  thread #13, name = 'QNetworkAccessManager thread'

    frame #0: 0x00007fff7c74509a libsystem_kernel.dylib`poll + 10

    frame #1: 0x0000000109806b40 QtCore`qt_safe_poll(pollfd*, unsigned int, timespec const*) + 544

    frame #2: 0x00000001098081b9 QtCore`QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) +

857

    frame #3: 0x00000001097af742 QtCore`QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 418

    frame #4: 0x00000001095f00a1 QtCore`QThread::exec() + 113

    frame #5: 0x00000001095f3fbf QtCore`___lldb_unnamed_symbol300$$QtCore + 367

    frame #6: 0x00007fff7c90b661 libsystem_pthread.dylib`_pthread_body + 340

    frame #7: 0x00007fff7c90b50d libsystem_pthread.dylib`_pthread_start + 377

    frame #8: 0x00007fff7c90abf9 libsystem_pthread.dylib`thread_start + 13

(lldb)

History

#1 - 2018-09-14 06:37 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

- Category changed from Unknown to Build/Install

Please try cleaning (removing) any trace of the configurations/profiles folder.

#2 - 2018-09-14 11:37 PM - Brian Savage
% cd ~/Library/Application\ Support

% mv QGIS QGIS.old

/Applications/QGIS3.app/Contents/MacOS/QGIS

It opened properly. :) Thanks

#3 - 2018-09-15 12:07 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Possibly a bad 3rd party plugin. Please reopen if necessary.
